package com.ruoyi.system.mapper;

import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.Delete;
import java.util.List;
import com.ruoyi.system.domain.SnServerTask;
import org.apache.ibatis.annotations.Param;

public interface SnServerTaskMapper
{
    SnServerTask queryLastTask(@Param("serverId") final Long p0);
    
    SnServerTask selectSnServerTaskByTaskId(final Long p0);
    
    List<SnServerTask> selectSnServerTaskList(final SnServerTask p0);
    
    int insertSnServerTask(final SnServerTask p0);
    
    int updateSnServerTask(final SnServerTask p0);
    
    int deleteSnServerTaskByTaskId(final Long p0);
    
    @Delete({ "delete from sn_server_task where server_id = #{serverId}" })
    int deleteSnServerTaskByServerId(@Param("serverId") final Long p0);
    
    @Update({ "update sn_server_task set is_delete = 1 where server_id = #{serverId}" })
    int deleteSnServerTaskByServerIdV2(@Param("serverId") final Long p0);
    
    int deleteSnServerTaskByTaskIds(final Long[] p0);
    
    int deleteSnServerTaskByTaskIdsV2(@Param("taskIds") final Long[] p0, @Param("createId") final Long p1);
    
    @Select({ "select count(*) from sn_server_task where server_id = #{serverId} and status in (${status}) and is_delete = 0 and task_name like '%${taskName}%'" })
    int haveDealTask(@Param("serverId") final Long p0, @Param("taskName") final String p1, @Param("status") final String p2);
}
